Que diferencia existe entre el J2SDK y el JDK (J2SE)

vicper189
05 de Junio del 2005
Hola que tal. Mi pregunta es que diferencia hay entre usar el J2SDK y el JDK. porque tengo instalado el J2SDK 1.4.2 y no puedo compilar unos programas, consulte con una persona y me dijo que instalara el JDK 5.0.

chuidiang
05 de Junio del 2005
Hola:

Con el j2sdk 1.4.2 deberías tener lo suficiente para poder compilar.
No sé si hay alguna diferencia formal, pero en general se habla indistintamente de j2sdk y jdk. Creo que antiguamente se llamaba jdk y en un momento dado le cambiaron el nombre con j2sdk.
El jdk 5.0 es una versión más moderna que la que tienes. Puedes instalarla para tener lo más moderno de java, pero deberías poder compilar con la 1.4.2 sin problemas.

Si pones qué error te sale al compilar, quizás te podamos dar más pistas de por dónde va el problema.

Se bueno.